[Fusionforge-commits] FusionForge branch Branch_5_3 updated. 2f6dc28d1c3658779dbfbe2ad3ccf8f7cf1de29a

Roland Mas lolando at fusionforge.org
Mon Dec 15 12:27:26 CET 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, Branch_5_3 has been updated
       via  2f6dc28d1c3658779dbfbe2ad3ccf8f7cf1de29a (commit)
      from  d8468f7d0a1b2f070345ed0bb6a6147b7688b23f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 2f6dc28d1c3658779dbfbe2ad3ccf8f7cf1de29a
Author: Roland Mas <lolando at debian.org>
Date:   Mon Dec 15 12:27:15 2014 +0100

    Fixed phpunit invocation

diff --git a/tests/scripts/phpunit.sh b/tests/scripts/phpunit.sh
index 85ad2a2..ed41939 100755
--- a/tests/scripts/phpunit.sh
+++ b/tests/scripts/phpunit.sh
@@ -132,7 +132,12 @@ fi
 echo "Running PHPunit tests"
 retcode=0
 cd tests
-phpunit --verbose --stop-on-failure --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml $@ $testsuite || retcode=$?
+for i in $(echo $@ $testsuite | xargs) ; do
+    phpunit --verbose --stop-on-failure --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml $i || retcode=$?
+    if ! [ $retcode = 0 ] ; then
+	break
+    fi
+done
 cd ..
 # on debian
 killall -9 firefox-bin

-----------------------------------------------------------------------

Summary of changes:
 tests/scripts/phpunit.sh |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list